#ifndef WEBAPP_H
#define WEBAPP_H

#include <QMainWindow>
#include <QWebEngineView>
#include <iostream>

QT_BEGIN_NAMESPACE
namespace Ui { class WebApp; }
QT_END_NAMESPACE

class WebApp : public QMainWindow
{
    Q_OBJECT

public:
    WebApp(QWidget *parent = nullptr);
    void setPath(QString _appPathl);
    ~WebApp();

private:
    Ui::WebApp *ui;
    QWebEngineView *mView;
    QString appPath;
    QUrl _lastUrl;
    void SetUrl();
private Q_SLOTS:
    void onUrlChanged(const QUrl & url){
        if (url == QUrl("file://"+appPath+"/but1"))
        {
            qWarning("Нажал 1");
            SetUrl();
        }

        if (url == QUrl("file://"+appPath+"/but2"))
        {
            qWarning("Нажал 2");
            SetUrl();
        }

    }
};
#endif // WEBAPP_H
